:root {
  --brown-soft: #D2B48C;
  --PRIMARY: #722E43;
  --secondary-color: #CC7F91;
  --light-color: #B44A60;
  --green-pastel: #EADFDB;   
  --claro: #eff2cf;
  --marron-claro: #d2b48c;    
  --creme:#f3ece1;
  --nude:#e7d7c1;   
  --bege-color: #DDBEA9;    
  --secondary-lilac: #FFF6EB;
  --background-gradient: linear-gradient(135deg, #F6F0FF, #722E43);


}

body, html {
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    background-color: #f4f4f4;
}

/* Modern Navbar */
.navbar-modern {
    background-color: var(--creme);
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    padding: 15px 0;
}

.navbar-brand {
    color: var(--PRIMARY);
    font-weight: bold;
    font-size: 1.5rem;
    transition: transform 0.3s ease;
}

.navbar-brand:hover {
    transform: scale(1.05);
}

.navbar-nav .nav-link {
    color:var(--PRIMARY);
    font-weight: bold;
    margin: 0 10px;
    position: relative;
    transition: color 0.3s ease;
    
}

.navbar-nav .nav-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -5px;
    left: 50%;
    background-color: var(--background-gradient);
   
}

.navbar-nav .nav-link:hover::after {
    width: 100%;
    left: 0;
}

.navbar-toggler:focus,  
.navbar-toggler:active {  
    border: none !important; /* Garante que a borda seja removida */  
    outline: none !important; /* Remove também a linha de contorno (outline) */  
    box-shadow: none !important; /* Opcional: remove qualquer sombra que possa aparecer */  
}  

.modal-content {
  background: rgba(255, 255, 255, 0.95);
  backdrop-filter: blur(10px);
  border: 1px solid var(--PRIMARY);
  border-radius: 20px;
  
}

.modal-title{
  color: var(--bege-color)

}
.modal-header {
  background-color: var(--PRIMARY);
  color: white;
  border-radius: 20px 20px 0 0;
  padding: 1.5rem;
  
 
}

.modal-body {
  padding: 2rem;
  background-color: #F5F5F5;
  border-radius: 0 0 20px 20px;
  
  
}
.form-label{
 color: var(--light-color);
 font-weight: bold;
 
 
}

.form-control, .form-select {
  border-radius: 10px;
  padding: 0.8rem 1rem;
  height: 45px;
  border: 1px solid var(--marron-claro);
  
}

.form-control:focus, .form-select:focus {
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.2rem rgba(203, 172, 13, 0.25);
  
}

.input-group-text {
  background-color: var(--creme);
  border: 1px solid var(--secondary-color);
  color: var(--primary-color);
  height: 45px;
  
  
 
}

.btn-schedule {
  background-color: var(--light-color);
  color: white;
  padding: 1rem 2rem;
  border-radius: 50px;
  border: none;
  font-weight: 600;
  transition: all 0.3s ease;
  animation: fadeInUp 1s ease 0.6s;
  animation-fill-mode: both;
}

/* Efeito hover para interatividade */

.btn-schedule:hover {
  background-color: var(--PRIMARY);
  transform: translateY(-3px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  color: white;
} 

#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 10px;
  transition-duration: .5s;
  outline: none;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: var(--light-color);
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
}

#bar1 {
  width: 50%;
}

#bar2 {
  width: 75%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .1s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

.home-section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    
}

/*Sobre*/

.sobre-section {
  padding: 4rem 0;
  overflow: hidden;
}

.img-sobre {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  transition: all 0.5s ease;
}

.img-sobre:hover {
  transform: translateY(-10px);
}

.img-sobre img {
  transition: all 0.5s ease;
  width: 100%;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
}

.img-container:hover img {
  transform: scale(1.03);
}

.crp-badge {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background: linear-gradient(135deg, var(--bege-color), var(--PRIMARY));
  color:var(--background);
  padding: 10px;
  text-align: center;
  font-weight: bold;
}

.sobre-content{
  margin-bottom: 180px;
}

.sobre-content h2 {
  margin-top: 80px;
  color: var(--PRIMARY);
  font-weight: 700;
  margin-bottom: 1.5rem;
  position: relative;
  font-weight: bold;
  
}

.sobre-content p {
 text-align: justify;
  
}

.sobre-content h2:after {
  content: '';
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 50px;
  height: 3px;
  background: linear-gradient(135deg, var(--PRIMARY), var(--PRIMARY));
}

.especialidades {
  margin-top: 20px;
   
}

.especialidades h2{
  font-family: "Poppins",'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-weight: 600;
  font-size: 2rem;
  font-weight: bold;
  color:var(--green-muted);
  margin-bottom: 30px;  

}

.especialidade-item {
  height: 250px;
  background-color:var(--nude);
  border-radius: 10px;
  padding: 1.5rem;
  margin-bottom: 1rem;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
  transition: all 0.3s ease;
  border: 2px solid #3d091bcd; /* Borda neon rosa */
  border-radius: 15px; /* Bordas arredondadas */    
   
}

.especialidade-item h5{
  color: #4a1c25;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 1.5rem;
  font-weight: bold;

}
.especialidade-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}

.especialidade-icon {
  width: 60px;
  height: 60px;
  background: linear-gradient(135deg, var(--marron-claro), var(--light-color));
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1rem;
}

.especialidade-icon i {
  color: white;
  font-size: 1.5rem;
}


/* Container do vídeo */
.img-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

/* Estilo do vídeo */
.institutional-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    
}

/* Overlay com gradiente para melhorar legibilidade do texto */
.img-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.6));
    z-index: 2;
}

/* Container do conteúdo centralizado */
.content-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 3;
}

/* Estilo do texto centralizado */
.text-content {
    max-width: 800px;
    text-align: center;
    color: #fff;
    padding: 20px;
}

.text-content h1 {
    font-size: 3.5rem;
    margin-bottom: 10px;
    font-weight: 700;
}

.text-content h2 {
    font-size: 2rem;
    margin-bottom: 20px;
    font-weight: 300;
}

.text-content p {
    font-size: 1.2rem;
    margin-bottom: 30px;
    line-height: 1.6;
}

/* Botão de agendamento */
.appointment-btn {
    box-shadow: 0 0.7em 1.5em -0.5em hsl(30, 46%, 36%);
    transition: transform 0.3s;
  
    background: linear-gradient(
      90deg,
      rgba(146, 15, 70, 0.948) 0%,
      rgb(146, 15, 70, 0.948) 100%);
   
    color: #fff;
    border: none;
    padding: 15px 30px;
    font-size: 1.2rem;
    border-radius: 30px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-weight: 600;
    box-shadow: 0 4px 15px rgba(255, 160, 122, 0.4);
}

.appointment-btn:hover {
    background-color: #ff8c5a;
    transform: translateY(-3px);
    box-shadow: 0 6px 20px rgba(255, 160, 122, 0.6);
}
/*Carousel*/

.testimonials-section {
  padding: 4rem 0;
  background: var(--PRIMARY);
}

.section-title {
  text-align: center;
  margin-bottom: 3rem;
  color: var(--PRIMARY);
  font-weight: 700;
  position: relative;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}

.section-title:after {
  content: '';
  position: absolute;
  bottom: -10px;
  left: 50%;
  transform: translateX(-50%);
  width: 50px;
  height: 3px;
  background: #7a294b;
}

.testimonial-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  padding: 1.5rem;
  margin: 0.5rem;
  height: 270px;
  display: flex;
  flex-direction: column;
  transition: all 0.3s ease;
}


.testimonial-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}

.testimonial-header {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

.testimonial-avatar {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  overflow: hidden;
  margin-right: 1rem;
}
.testimonials-section h2{
  font-family: "Poppins", 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 2rem;
  color: #ffffff;
  font-weight: bold;
}

.testimonial-avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.testimonial-meta {
  flex-grow: 1;
}

.testimonial-name {
  font-weight: 600;
  margin-bottom: 0.25rem;
}

.testimonial-date {
  font-size: 0.8rem;
  color: #777;
}

.testimonial-stars {
  color: #FFD700;
  font-size: 1rem;
  margin-bottom: 0.5rem;
}

.testimonial-content {
  font-size: 0.9rem;
  color: #444;
  flex-grow: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}

.carousel-control-prev,
.carousel-control-next {
  width: 40px;
  height: 40px;
  background-color: #fff;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
  opacity: 0.8;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  filter: invert(1);
}

.carousel-indicators {
  bottom: -40px;
}

.carousel-indicators button {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #fff;
  opacity: 0.5;
}

.carousel-indicators button.active {
  opacity: 1;
}


@media (max-width: 767.98px) {
  .testimonial-card {
      height: 290px;
  }
}

/*blog*/

.blog-section {
  padding: 4rem 0;
}

.section-title {
  text-align: center;
  margin-bottom: 3rem;
  color: var(--primary-color);
  font-weight: 700;
  position: relative;
}

.section-title:after {
  content: '';
  position: absolute;
  bottom: -10px;
  left: 50%;
  transform: translateX(-50%);
  width: 50px;
  height: 3px;
  background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
}

.card {
  border: none;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.4s ease;
  height: 95%;
}

.card:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
}

.blog-card {
  display: flex;
  flex-direction: row;
  height: 450px;
}

.blog-content {
  padding: 2rem;
  flex: 1;
}

.blog-img {
  width: 300px;
  height: 200px;
  object-fit: cover;
}

.servico-destaque-img{
  width: 240px;
  height: 100%;
  object-fit: cover;

}
.blog-destaque{
  margin-top:20px;
  

}

.blog-destaque .card {
  display: flex;
  flex-direction: row;
  overflow: hidden;
  
}

.servico-img{
  width: 40%;
  
}
.blog-destaque-img {
  width: 40%;
  min-height:50%;
  object-fit: cover;
}

.blog-destaque-content {
  padding: 2rem;
  text-align: justify;
  width: 90%;
}

.blog-title {
  color: var(--primary-color);
  font-weight: 600;
  margin-bottom: 0.40rem;
}

.blog-destaque-content a{
  text-decoration: none;  

}
.blog-content a{
  text-decoration: none;

}


/* Contact Section Styles */
.contact-section {
  background: var(--secondary-lilac);
  padding: 5rem 0;
}

.contact-info-card {
  background: white;
  border-radius: 15px;
  padding: 2rem;
  margin-bottom: 2rem;
  transition: transform 0.3s ease;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.contact-info-card:hover {
  transform: translateY(-5px);
}

.contact-icon {
  width: 50px;
  height: 50px;
  background: var(--primary-lilac);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1rem;
  color: white;
  font-size: 1.5rem;
}

.form-control {
  border: 2px solid var(--light-color);
  padding: 0.8rem;
  border-radius: 10px;
  margin-bottom: 1rem;
}

.form-control:focus {
  border-color: var(--primary-lilac);
  box-shadow: 0 0 0 0.2rem rgba(181, 140, 109, 0.25);
}

.btn-primary {
  background: var(--primary-color);
  border: none;
  padding: 0.8rem 2rem;
  border-radius: 50px;
  font-weight: 600;
  transition: all 0.3s ease;
}

.btn-primary:hover {
  background: var(--primary-lilac);
  transform: translateY(-2px);
  box-shadow: 0 5px 15px rgba(107, 112, 92, 0.3);
}

.section-title {
  color: var(--primary-color);
  font-weight: bold;
  margin-bottom: 2rem;
  position: relative;
  display: inline-block;
}

.section-title::after {
  content: '';
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 60%;
  height: 3px;
  background: var(--primary-lilac);
}

.highlight-text {
  color: var(--primary-lilac);
  font-weight: bold;
}


/* Hero Section */
.hero-section {
    position: relative;
    min-height: 90vh;
    display: flex;
    align-items: center;
    overflow: hidden;
}

/* PSI Background Effect */
.psi-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: rgba(141, 211, 199, 0.05);
    font-size: 20vw;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    user-select: none;
}

.hero-content {
    position: relative;
    z-index: 10;
    
}

.hero-image {
    position: relative;
    overflow: hidden;
    border-radius: 15px;
    
 
}
.hero-image img {
    width: 100%;
    height: 480px;
    transition: transform 0.5s ease;
}
.hero-image:hover img {
    transform: scale(1.1);
}
.button {
  line-height: 1;
  background-color: transparent;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.35em;
  padding: 0.60em 1.10em;
  color: #fff;
  border: 1px solid transparent;
  font-weight: 700;
  border-radius: 20px;
  font-size: 1rem;
  box-shadow: 0 0.7em 1.5em -0.5em hsl(336, 46%, 36%);
  transition: transform 0.3s;
  background: linear-gradient(
    90deg,
    rgba(146, 15, 50, 0.948) 0%,
    rgb(209, 164, 191) 100%
  );
}

.button__icon {
  width: 1.5em;
  height: 1.5em;
}

.button:hover {
  border-color: #f4f5f2;
}

.button:active {
  transform: scale(0.98);
  box-shadow: 0 0.5em 1.5em -0.5em hsla(249, 62%, 51%, 0.745);
}


/* Footer Background */
.footer-section {
   position: relative;
  
}

.footer-background {
  background-image: url('../img/sala.webp');
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  position: relative;
}

.footer-background::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

/* Glass Effect */
.glass-content {
  background: rgba(255, 255, 255, 0.7);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  padding: 1.5rem;
  border-radius: 0.5rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  position: relative;
  height: 100%;
}

/* Social Icons */
.social-icon {
  color: #1c1c1d;
  font-size: 1rem;
  transition: color 0.3s ease;
  text-decoration: none;
}

.social-icon:hover {
  color: #0d6efd;
}

.social-icon:nth-child(2):hover {
  color: #e1306c;
}

/* QR Code */
.qr-code {
  width: 150px;
  height: 150px;
  border-radius: 5%;
}

/* Map Container */
.map-container {
  height: 400px;
  border-radius: 0.5rem;
  overflow: hidden;
}

/* Floating WhatsApp Button */
.whatsapp-float {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  background-color:var(--PRIMARY);
  color: white;
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: background-color 0.3s ease;
  z-index: 1050;
}

.whatsapp-float:hover {
  background-color: var(--secondary-color);
  color: white;
}

.whatsapp-float i {
  font-size: 1.5rem;
}

.text-purple {
  color:var(--PRIMARY);
}
.bi-instagram{
  color:#722E43;
}

.text-p{
  margin: 10px 30px;
}


/* Remove o sublinhado do link */
.no-underline {
  text-decoration: none;
  color: #faa80e;
}

/* Contact Info */
.contact-info {
  margin-bottom: 1.5rem;
}

.contact-info p {
  margin-bottom: 0.75rem;
}

.contact-info i {
  font-size: 1.25rem;
}

/* Copyright Section */
.footer {
  margin-top: -10px;
  height: 70px;
  background-color:var(--light-color);
 
}

.text-muted {
  color: #617e7c !important;
}

.text-mutedp {
  color: #f0fffe !important;
}

.mb-4 p{
  text-align: justify;
}

.desktop-img {
  display: block;
}

.mobile-img {
  display: none;
}

@media (max-width: 991px) {
    .hero-section {
        flex-direction: column;
        text-align: center;
    }
    .testimonial-card {
      height: 290px;
  }
  .blog-destaque .card {
    flex-direction: column;
  }

  .blog-destaque-img {
    width: 100%;
    height: 250px;
  }

  .blog-destaque-content {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .img-container {
      margin-bottom: 2rem;
  }
  
  .sobre-content h2 {
      text-align: center;
  }
  
  .sobre-content h2:after {
      left: 50%;
      transform: translateX(-50%);
  }
  
  .sobre-content p {
      text-align: center;
  }
  
  .btn-container {
      display: flex;
      justify-content: center;
  }
  
  .especialidades h2{
    font-family: "Poppins",'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 600;
    font-size: 1.5rem;
    font-weight: bold;
    color:var(--marron);    
  
  }
  .sobre-content{
    margin-bottom: 40px;
  }
  .testimonial-content{
   height: 450px;
  }
  .ebook-card {
    padding: 2rem;
  }

  .contact-form {
    margin-top: 2rem;
  }

  .ebook-section, .contact-section {
    padding: 3rem 0;
  }
  .gallery-container h2{
      font-size: 1.7rem;
      font-family: "Poppins", system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
      font-weight: bold;
      text-align: center;
      margin-top: 40px;
      margin-bottom: 30px;
  }
  .video-grid {
      grid-template-columns: repeat(2, 1fr);
  }
  .card {
    margin-bottom: 2rem;
    height: 650px;
    margin: 0 20px;
    
  }
    
  .blog-img {
    width: 100%;
    height: 250px;
  }
  
  .blog-card {
     flex-direction: column;
  } 
  .text-content h1 {
  font-size: 2.5rem;
  }

  .text-content h2 {
  font-size: 1.5rem;
  }

  .text-content p {
  font-size: 1rem;
  }

  .appointment-btn {
  padding: 12px 25px;
  font-size: 1rem;
  }
  .blog-destaque{
    margin-top:20px;
   
  
  }
  .servico-destaque-img{
    width: 100%;
    height: 70%;

  }
  .blog-destaque .card {
    height: 100%;
  }
  .desktop-img {
    display: none;
  }
  .home-section{
  
    height: 200px;

  }

  .mobile-img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  .img-container {
    width: 100%;
    max-width: 100%;
    overflow: hidden;
  }

/* Ajustes adicionais para mobile, se necessário */
   .text-content h1 {
    margin-top: 15px;
    font-size: 1.2rem;
  }

  .text-content p {
    font-size: 1rem;
    margin-bottom: 10px;
  }

  .appointment-btn {
    padding: 8px 16px;
    font-size: 0.9rem;
    margin-bottom: 20px;
}
   
  
}
/* Estilos responsivos */


@media (max-width: 480px) {
  .video-grid {
      grid-template-columns: 1fr;
  }
  
}
  


